From a2af38fb056418386b709b8653f0d3677b482af9 Mon Sep 17 00:00:00 2001
From: Lin Sun <lin.sun@zoom.us>
Date: Wed, 31 Mar 2021 20:02:18 +0800
Subject: [PATCH] [image-mode] reduce calling for image-toggle-display-text

*lisp/image-mode.el: do not call the image-toggle-display-text twice
when toggle image display.
---
 lisp/image-mode.el | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/lisp/image-mode.el b/lisp/image-mode.el
index 2de16cb..f4ff35f 100644
--- a/lisp/image-mode.el
+++ b/lisp/image-mode.el
@@ -732,8 +732,9 @@ image-mode-to-text
     (setq image-type previous-image-type)
     ;; Enable image minor mode with `C-c C-c'.
     (image-minor-mode 1)
-    ;; Show the image file as text.
-    (image-toggle-display-text)))
+    (unless (image-get-display-property)
+      ;; Show the image file as text.
+      (image-toggle-display-text))))
 
 (defun image-mode-as-hex ()
   "Set a non-image mode as major mode in combination with image minor mode.
-- 
2.7.0

